# Created by pyp2rpm-3.2.2
%global pypi_name nose_warnings_filters

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        6%{?dist}
Summary:        Allow to inject warning filters during nosetest
License:        MIT
URL:            https://github.com/Carreau/nose_warnings_filters
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/Carreau/nose_warnings_filters/master/LICENSE
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
If you run your test suite with nosetest, you can use this package to filter
the warnings by setting rules in your setup.cfg.

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-nose
Requires:       python2-setuptools
%description -n python2-%{pypi_name}
If you run your test suite with nosetest, you can use this package to filter
the warnings by setting rules in your setup.cfg. Python 2 version.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-nose
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
If you run your test suite with nosetest, you can use this package to filter
the warnings by setting rules in your setup.cfg. Python 3 version.


%prep
%autosetup -n %{pypi_name}-%{version}
cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{pypi_name}
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE 
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.5-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 01 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.5-3
- Fix ambiguous Python 2 dependencies declarations
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 05 2017 Miro Hrončok <mhroncok@redhat.com> - 0.1.5-1
- Initial package
